WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Social Venues for Events Calendar Pro

Add social media profiles to venues in Events Calendar Pro. This plugin requires the Events Calendar Pro plugin by Modern Tribe.

This plugin requires the Events Calendar Pro plugin by Modern Tribe.

Add social media profiles to venues in Events Calendar Pro. Add links to a venue's profiles on Facebook, Twitter and more. These profiles will automatically be displayed on the venue's page.

This plugin adds a new meta box to the venue editing page, which allows you to add and edit social media profiles. By default, it supports the following social networks:

  • Facebook
  • Twitter
  • Google+
  • Youtube
  • Flickr
  • Pinterest
  • Foursquare
  • Instagram
  • LinkedIn
  • Vimeo
  • Skype
  • Yelp
  • MySpace
  • SoundCloud
  • Lanyrd
  • Missing one you need? Let me know

Please note that this plugin will not work with the free version of Events Calendar. It requires the ability to have saved venues, which is only available in the pro version of the plugin.

How to Use

Once you have installed and activated this plugin, go to the page where you can add or edit a venue. Under the Venue Information panel, a new panel called Social Media Profiles will appear. Choose your display settings and add each profile here. Look for the "Add new profile" link at the bottom of that panel to add more.

Developers

This plugin uses the Socicon font to display the icons. It supports many more social networks than I've included here, so if you're missing one let me know. It can be added easily if the Socicon font supports it.

However, this plugin provides filters so you can easily customize and extend it for your particular needs. These filters allow you to:

  • Customize which social networks can be selected and the HTML output for each network
  • Add or remove CSS stylesheets that are loaded on the front-end
  • Customize the default metadata and settings
  • Attach the output to any template action hook

Read the FAQ page for a few tips and get in touch if you have any questions.

This plugin is on GitHub, so fork it up.

Requires: 3.8 or higher
Compatible up to: 3.9.1
Last Updated: 2014-4-23
Downloads: 339

Ratings

0 stars
0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1
100,1,1